# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::GLSLGeometryShader Class Reference

Wraps a GLSL geometry shader to be bound to a GLSLProgram: the shader this shader will run on the programmable geometry processor. More...

`#include <GLSL.hpp>`

Inheritance diagram for vl::GLSLGeometryShader:

List of all members.

## Public Member Functions

| GLSLGeometryShader (const String &source=String())

## Detailed Description

Wraps a GLSL geometry shader to be bound to a GLSLProgram: the shader this shader will run on the programmable geometry processor.

See also:
  GLSLVertexShader, GLSLFragmentShader, GLSLTessControlShader, GLSLTessEvaluationShader, GLSLProgram, Effect

Definition at line 178 of file GLSL.hpp.

## Constructor & Destructor Documentation

vl::GLSLGeometryShader::GLSLGeometryShader | ( | const String & | source = `String()` ) | `[inline]`

Parameters:

  source | Geometry shader's source code or path to a text file containing the geometry shader's source code.

Definition at line 184 of file GLSL.hpp.

References vl::Object::mObjectName.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/GLSL.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:38.
Permission is granted to use this page to write and publish articles regarding Visualization Library.